Eventum Logo

Eventum

Generator configsNameFileFilepath

Get Generator File

Read file from specified path inside generator directory with specified name. Set download to receive the file as an attachment instead of inline content.

GET
/generator-configs/{name}/file/{filepath}

Path Parameters

filepath*Filepath
Formatpath
name*Name

Name of the generator directory

Query Parameters

download?Download

Serve the file as an attachment saved under its name instead of content rendered inline

Defaultfalse

Response Body

application/json

application/json

curl -X GET "https://loading/api/generator-configs/string/file/string"
null
Empty
Empty
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
Empty